package org.xesstandard.model;

import java.util.List;

/**
 * XES classifier. See Clause 5.7.
 * 
 * @author H.M.W. Verbeek
 *
 */
public interface XesClassifier {

	/**
	 * Sets the name for the classifier.
	 * @param name The name to set. 
	 */
	public void setName(String name);
	/**
	 * @return The name set for the classifier.
	 */
	public String getName();
	
	/**
	 * Adds a key to the classifier.
	 * @param key The key to add to the classifier. 
	 */
	public void addKey(String key);
	/**
	 * @return The list of keys set for (or added to) the classifier. 
	 * The order in the list corresponds to the order they were added.
	 */
	public List<String> getKeys();
	
	/**
	 * Classifies a component.
	 * @param component The component to classify.
	 * @return The classification for the component.
	 */
	public String classify(XesComponent component);
	
}
