package org.xesstandard.model;

import java.util.List;

/**
 * XES Trace. See Clause 5.2.
 * 
 * @author H.M.W. Verbeek
 *
 */
public interface XesTrace extends XesComponent {

	/**
	 * Adds an event to the trace.
	 * @param event The event to add.
	 */
	public void addEvent(XesEvent event);
	/**
	 *  @return The list of events set for (or added to) the trace.
	 * The first event added will be the first in the list etc.
	 */
	public List<XesEvent> getEvents();

}
