package org.xesstandard.model.attributes.impl;

import java.util.UUID;

import org.xesstandard.model.XesAttributeType;
import org.xesstandard.model.attributes.XesIdAttribute;
import org.xesstandard.model.impl.XesAttributeImpl;

public class XesIdAttributeImpl extends XesAttributeImpl implements XesIdAttribute {

	/*
	 * Id value of the attribute. May be <null>.
	 */
	private UUID value = null;
	
	/*
	 * Construct an id attribute.
	 */
	public XesIdAttributeImpl() {
		super(XesAttributeType.ID);
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#getStringValue()
	 */
	public String getStringValue() {
		return value.toString();
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesIdAttribute#setValue(java.util.UUID)
	 */
	public void setValue(UUID value) {
		this.value = value;
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesIdAttribute#getValue()
	 */
	public UUID getValue() {
		return value;
	}

}
