package org.xesstandard.xml.issues;

import org.xesstandard.xml.XesXmlIssue;
import org.xesstandard.xml.XesXmlIssueLevel;
import org.xml.sax.Locator;

public abstract class XesAbstractXmlIssue implements XesXmlIssue {

	/**
	 * Abstract issue
	 */
	
	/**
	 * Line number and column number where the issue was raised.
	 */
	private int line, col;
	
	/**
	 * Level of the issue.
	 */
	private XesXmlIssueLevel level;
	
	/**
	 * Construct the issue with the given level.
	 * @param level The given level.
	 */
	public XesAbstractXmlIssue(XesXmlIssueLevel level) {
		this.level = level;
	}
	
	/**
	 * Set the line number and column number where the issue was raised.
	 */
	public void setLocation(Locator locator) {
		line = locator.getLineNumber();
		col = locator.getColumnNumber();
	}
	
	/**
	 * @param level The lowest error level.
	 * @return Whether this issue is an error.
	 */
	public boolean isError(XesXmlIssueLevel level) {
		return this.level.getValue() >= level.getValue();
	}
	
	public String toString() {
		return "Line " + line + ", column " + col + ": ";
//		return "Line " + line + ", column " + col + ", level " + level.getValue() + ": ";
	}
}
