package org.xesstandard.xml.issues;

import org.xesstandard.model.XesAttribute;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueAttributeValueDate extends XesAbstractXmlIssue {

	/**
	 * Issue raised when the value of a UTC date attribute is not a date value.
	 */
	private XesAttribute attribute;
	private String key;
	private String value;
	
	public XesXmlIssueAttributeValueDate(XesAttribute attribute, String key, String value) {
		super(XesXmlIssueLevel.CONFORMING);
		this.attribute = attribute;
		this.key = key;
		this.value = value;
	}
	
	public String toString() {
		return super.toString() + "Attribute value " + value + " for " + key + " is not a UTC time value (see Clause 5.4).";
	}
}
