package org.xesstandard.xml.issues;

import org.xesstandard.model.XesComponent;
import org.xesstandard.model.XesLog;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueAttributeValueDecimal extends XesAbstractXmlIssue {

	/**
	 * Issue raised when the value of a decimal attribute is not a decimal value.
	 */
	private XesComponent component;
	private String key;
	private String value;
	
	public XesXmlIssueAttributeValueDecimal(XesLog log, String key, String value) {
		super(XesXmlIssueLevel.CONFORMING);
		this.component = log;
		this.key = key;
		this.value = value;
	}
	
	public String toString() {
		return super.toString() + "Attribute value " + value + " for " + key + " is not a decimal value (see Clause 5.1.2).";
	}
}
