package org.xesstandard.xml.issues;

import java.util.Set;

import org.xesstandard.model.XesClassifier;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueClassifierGlobal extends XesAbstractXmlIssue {

	/**
	 * Issue raised when a classified key does not correspond ot a global attribute.
	 */
	private Object object;
	private Set<String> keys;
	String label;
	
	public XesXmlIssueClassifierGlobal(XesClassifier classifier, Set<String> keys) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = classifier;
		this.keys = keys;
		label = "Classifier";
	}
	
	public String toString() {
		return super.toString() + label + " keys " + keys + " are not all global (see Clause 5.7.2).";
	}
}
